Coin: SoLineWidthElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoLineWidthElement Class Reference
Element Classes

The SoLineWidthElement class changes the line width setting of the render state. More...

`#include <Inventor/elements/SoLineWidthElement.h>`

Inheritance diagram for SoLineWidthElement:

## Public Member Functions
virtual void | init (SoState *state)
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float lineWidth)
static void | set (SoState *const state, const float lineWidth)
static float | get (SoState *const state)
static float | getDefault ()
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoLineWidthElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoLineWidthElement class changes the line width setting of the render state.

Requests from the scene graph to change the line width when rendering line primitives will be made through this element, which forwards it to the appropriate native call in the underlying rendering library.

Subsequent nodes rendering line primitives will use the width setting (for instance SoLineSet nodes).

## Constructor & Destructor Documentation

## ◆ ~SoLineWidthElement()

SoLineWidthElement::~SoLineWidthElement | ( |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoLineWidthElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoLineWidthElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoLineWidthElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoLineWidthElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoLineWidthElement::init | ( | SoState * | state | ) |
| virtual

Initializes the element to its default value. The default value is 0.0.

Reimplemented from SoFloatElement.

Reimplemented in SoGLLineWidthElement.

## ◆ set() [1/2]

void SoLineWidthElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | lineWidth )
| static

Set up the current state's lineWidth value.

## ◆ set() [2/2]

void SoLineWidthElement::set | ( | SoState *const | state,
|  | const float | lineWidth )
| static

Set up the current state's lineWidth value.

## ◆ get()

float SoLineWidthElement::get | ( | SoState *const | state | ) |
| static

Returns the current line width value.

## ◆ getDefault()

float SoLineWidthElement::getDefault | ( | void |  | ) |
| static

Returns the default line width value if no value has been set explicitly.

The documentation for this class was generated from the following files:

- SoLineWidthElement.h
- SoLineWidthElement.cpp